/*
    Copyright (C) 2004,2005 Wolfgang Hottgenroth

    This file is part of smmapdfw.

    smmapdfw is free software; you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.  

    smmapdfw is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details. 

    You should have received a copy of the GNU General Public License
    along with smmapdfw. If not, write to the Free Software Foundation, 59
    Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#if HAVE_CONFIG_H
# include "config.h"
#endif

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <syslog.h>

#include "htdns.h"


  

int main(int argc, char **args) {
  if (argc != 2) {
    printf("give domain to test on commandline\n");
    exit(1);
  }

  char *domain = args[1];
  
  mx_rdata_t **mx_rdata = get_best_mx_rrs(domain);
  if (mx_rdata == NULL) {
    printf("no mx-rr found\n");
  } else {
    mx_rdata_t **mx_rdata2;
    for (mx_rdata2 = mx_rdata; *mx_rdata2 != NULL; mx_rdata2++) {
      printf("--> %d, %s\n", (*mx_rdata2)->preference, (*mx_rdata2)->exchange);
    }
    
    free_rrs((void**)mx_rdata);
  }
}


  
  
  

